package com.grkj.iscs_mc.view.fragment

import com.grkj.iscs_mc.databinding.FragmentMaterialInspectionBinding
import com.grkj.iscs_mc.extentions.navigateTo
import com.grkj.iscs_mc.view.base.BaseMvpFragment
import com.grkj.iscs_mc.view.iview.IMaterialInspectionView
import com.grkj.iscs_mc.view.presenter.MaterialInspectionPresenter

/**
 * 物资管理 - 物资检查
 */
class MaterialInspectionFragment :
    BaseMvpFragment<IMaterialInspectionView, MaterialInspectionPresenter, FragmentMaterialInspectionBinding>() {

    override val viewBinding: FragmentMaterialInspectionBinding
        get() = FragmentMaterialInspectionBinding.inflate(layoutInflater)

    override fun initView() {
        navigateTo(MaterialInspectionFragmentDirections.actionInspectionFragmentToInspectionPlanFragment())
    }

    override fun initPresenter(): MaterialInspectionPresenter {
        return MaterialInspectionPresenter()
    }
}